
Redmine - Feature #35658

Administration -> Role -> Users Visibility

2021-08-01 19:48 - Sebastian Hunziker

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

In the dropdown list menu, adding "None users" as an option. For some approaches, It would be really useful to be able to select this

option to set up a role that can be part of a project but cannot see other members.
History

#1 - 2021-08-02 12:31 - Holger Just

Users are shown in a variety of places, including the author and assignee of issues, authors of journal updates, wiki history, ... It is also required when

editing issues to e.g. set an assignee

Removing the user display from all those places would necessarily remove the ability to show e.g. the issues assignee, the user who logged a time

entry, the ability to filter by issue author, assignee or watcher, the ability to see who authored an issue journal, ...

Given that Redmine is built as a tool for collaboration between people, I think it is generally useful to see who you are communicating with. As such, I

believe that ensuring that no mention of a user is present anywhere will lead to a significantly reduced functionality for those users as well as an

incredibly large amount of work (with a high chance of missing some things) for the maintainers of Redmine.

#2 - 2021-08-11 21:50 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix
